//
// SegmentGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct SegmentGet: Codable {

    public var segmentUrl: String
    public var tsStart: Int
    public var tsEnd: Int
    public var signature: String

    public init(segmentUrl: String, tsStart: Int, tsEnd: Int, signature: String) {
        self.segmentUrl = segmentUrl
        self.tsStart = tsStart
        self.tsEnd = tsEnd
        self.signature = signature
    }

    public enum CodingKeys: String, CodingKey { 
        case segmentUrl = "segment_url"
        case tsStart = "ts_start"
        case tsEnd = "ts_end"
        case signature
    }

}
